Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-1107

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2012-1107
Last Modified 18 Dec 2012 11:50:23
Published 06 Sep 2012 02:55:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2012-1107

Summary

The analyzeCurrent function in ape/apeproperties.cpp in TagLib 1.7 and earlier allows context-dependent attackers to cause a denial of service (application crash) via a crafted sampleRate in an ape file, which triggers a divide-by-zero error.

Vulnerable Systems

Application

  • Scott Wheeler Taglib 1.0

  • Scott Wheeler Taglib 1.1

  • Scott Wheeler Taglib 1.2

  • Scott Wheeler Taglib 1.3

  • Scott Wheeler Taglib 1.3.1

  • Scott Wheeler Taglib 1.4

  • Scott Wheeler Taglib 1.5

  • Scott Wheeler Taglib 1.6

  • Scott Wheeler Taglib 1.6.1

  • Scott Wheeler Taglib 1.6.2

  • Scott Wheeler Taglib 1.6.3

  • Scott Wheeler Taglib 1.7


References

CONFIRM - https://github.com/taglib/taglib/commit/77d61c6eca4d08b9b025738acf6b926cc750db23

XF - taglib-analyzecurrent-dos(73666)

BID - 52284

MLIST - [oss-security] 20120305 Re: CVE-Request taglib vulnerabilities

GENTOO - GLSA-201206-16

SECUNIA - 49688

SECUNIA - 48211

OSVDB - 79814

MLIST - [pipermail] 20120304 multiple security vulnerabilities in taglib

SECUNIA - 48792


Last Updated: 27 May 2016 11:00:30